package com.zm.order.tool.server.constants;

import java.util.Objects;

/**
 * @author nianchang
 * @ClassName ImageEnum
 * @date 2021/08/04 4:48 下午
 */
public enum ImageEnum {

    A("/pages/marketing/coupon-seckill/index?activityId=", "/subpackages/coupon/promotion/index?activityId=", "大促优惠券"),
    b("/pages/userAddress/index", "/subpackages/address/list/index", "我的地址"),
    cdwqdqw("/pages/point/my/my", "/subpackages/point/index/index", "积分商城"),
    ddwqdwq("/pages/comment/index", "/subpackages/evaluate/index/index", "评价列表"),
    fvwerf("/pages/coupon/getCoupon/getCoupon", "/pages/coupon/get-coupon/index", "领取优惠券"),
    fewf("/pages/coupon-package/coupon-list/coupon-list", "/subpackages/coupon-package/list/index", "券包列表"),
    ceqwf("/pages/marketing/decibel/index", "/subpackages/strongestDecibel/index/index?activityId=", "最强分贝"),
    dwqf("/pages/giftCard/index/index", "/subpackages/gift-card/index/index", "礼品卡"),
    wqewq("/pages/paymentCode/paymentCode", "/subpackages/payment-code/index", "会员码"),
    dwqdwq("/pages/valueCard/memberValue/memberValue", "/subpackages/value-card/member-value/index", "会员储值"),
    xsad("/pages/address/list/list", "/subpackages/address/list/index", "我的地址"),
    xwq("/pages/user/coupon/coupon", "/pages/user/coupon/index", "我的优惠券"),
    qwe("/pages/pay/bill", "/pages/pay/index/index", "优惠买单"),
    qwdqw("/pages/signIn/signIn/index", "/subpackages/sign-in/index/index", "积分签到"),
    qwd("/pages/old-belt-new/old-user-reward/old-user-reward", "/subpackages/old-bring-new/index/index", "用户福利"),
    ;

    private final String oldValue;

    private final String newValue;

    private final String desc;

    ImageEnum(String oldValue, String newValue, String desc) {
        this.oldValue = oldValue;
        this.newValue = newValue;
        this.desc = desc;
    }

    public static ImageEnum getValue(String key) {
        for (ImageEnum bizTypeEnum : values()) {
            if (Objects.equals(bizTypeEnum.getOldValue(), key)) {
                return bizTypeEnum;
            }
        }
        return null;
    }

    public String getOldValue() {
        return oldValue;
    }

    public String getNewValue() {
        return newValue;
    }

    public String getDesc() {
        return desc;
    }
}
